chestfunctions = require("scenarios/chestfunctions")

local function OnCreate(inst, scenariorunner)

	local items = 
	{
		{
			item = {"armorruins", "ruinshat"},
			chance = 0.88,
		},
		{
			item = {"armorruins", "ruinshat"},
			chance = 0.88,
		},
		{
			item = "ruins_bat",
			chance = 0.88,
		},
		{
			item = "multitool_axe_pickaxe",
			chance = 0.88,
		},	
		{
			item = "eyeturret_item",
			chance = 0.33,
		},	
		{
			item = {"firestaff", "icestaff", "telestaff", "yellowstaff", "greenstaff", "orangestaff"},
			chance = 1.00,
		},	
		{
			item = "trinket_7",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_12",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_2",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_6",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_3",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_4",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_8",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_11",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_1",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_9",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_10",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "trinket_5",
			count = math.random(1, 5),
			chance = 0.88,
		},
		{
			item = "gears",
			count = math.random(2, 6),
			chance = 1.00,
		},
		{
			item = "goldnugget",
			count = math.random(10, 30),
			chance = 1.00,
		},
		{
			item = "nightmarefuel",
			count = math.random(5, 30),
			chance = 1.00,
		},
		{
			item = "thulecite",
			count = math.random(4, 16),
			chance = 1.00,
		},	
		{
			item = {"redgem", "bluegem", "purplegem", "yellowgem", "orangegem", "greengem"},
			chance = 1.00,
		},
		{
			item = {"redgem", "bluegem", "purplegem", "yellowgem", "orangegem", "greengem"},
			chance = 1.00,
		},
		{
			item = {"redgem", "bluegem", "purplegem", "yellowgem", "orangegem", "greengem"},
			chance = 1.00,
		},													
	}
	chestfunctions.AddChestItems(inst, items)
end

return 
{
	OnCreate = OnCreate
}